Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class XSModelImpl

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSModelImpl

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSModel

Deprecated. please use JDK supplied XML parsers and transformers

    public class XSModelImpl

extends Object
implements weblogic.apache.xerces.impl.xs.psvi.XSModel

Implements XSModel: a read-only interface that represents an XML Schema, which could be components from different namespaces.

Constructor Summary
`XSModelImpl(SchemaGrammar[] grammars)` Deprecated. Construct an XSModelImpl, by storing some grammars and grammars imported by them to this object.

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getAnnotations()` Deprecated. {annotations} A set of annotations.
`weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration` | `getAttributeDecl(String name, String namespace)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition` | `getAttributeGroup(String name, String namespace)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSNamedMap` | `getComponents(short objectType)` Deprecated. Returns a list of top-level components, i.e.
`weblogic.apache.xerces.impl.xs.psvi.XSNamedMap` | `getComponentsByNamespace(short objectType, String namespace)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getElementDecl(String name, String namespace)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition` | `getModelGroupDefinition(String name, String namespace)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.ObjectList` | `getNamespaceItems()` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.StringList` | `getNamespaces()` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `getNotationDecl(String name, String namespace)` Deprecated. Convenience method.
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition(String name, String namespace)` Deprecated. Convenience method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSModelImpl

    public XSModelImpl(SchemaGrammar[] grammars)

  Deprecated.
  Construct an XSModelImpl, by storing some grammars and grammars imported by them to this object.

  Parameters:
    `grammars` - the array of schema grammars

Method Detail

### getNamespaces

    public weblogic.apache.xerces.impl.xs.psvi.StringList getNamespaces()

  Deprecated.
  Convenience method. Returns a list of all namespaces that belong to this schema.

  Specified by:
    `getNamespaces` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Returns:
    A list of all namespaces that belong to this schema or `null` if all components don't have a targetNamespace.

### getNamespaceItems

    public weblogic.apache.xerces.impl.xs.psvi.ObjectList getNamespaceItems()

  Deprecated.
  Convenience method. Returns a list of all [namespace schema information item]s. There is one such item for each namespace (including the null namespace). Enties of the returned enumeration are instances of XSNamespaceItem interface.

  Specified by:
    `getNamespaceItems` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Returns:
    A list of namespace items that belong to this schema.

### getComponents

    public weblogic.apache.xerces.impl.xs.psvi.XSNamedMap getComponents(short objectType)

  Deprecated.
  Returns a list of top-level components, i.e. element declarations, attribute declarations, etc.

  Specified by:
    `getComponents` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `objectType` - The type of the declaration, i.e. ELEMENT_DECLARATION, ATTRIBUTE_DECLARATION, etc.
  Returns:
    A list of top-level definition of the specified type in `objectType` or `null`.

### getComponentsByNamespace

    public weblogic.apache.xerces.impl.xs.psvi.XSNamedMap getComponentsByNamespace(short objectType,
                                                                                   String namespace)

  Deprecated.
  Convenience method. Returns a list of top-level component declarations that are defined within the specified namespace, i.e. element declarations, attribute declarations, etc.

  Specified by:
    `getComponentsByNamespace` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `objectType` - The type of the declaration, i.e. ELEMENT_DECLARATION, ATTRIBUTE_DECLARATION, etc.
    `namespace` - The namespace to which declaration belong or `null` (for components with no targetNamespace).
  Returns:
    A list of top-level definition of the specified type in `objectType` and defined in the specified `namespace` or `null`.

### getTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition(String name,
                                                                                  String namespace)

  Deprecated.
  Convenience method. Returns a top-level simple or complex type definition.

  Specified by:
    `getTypeDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `name` - The name of the definition.
    `namespace` - The namespace of the definition, otherwise null.
  Returns:
    An `XSTypeDefinition` or null if such definition does not exist.

### getAttributeDecl

    public weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration getAttributeDecl(String name,
                                                                                       String namespace)

  Deprecated.
  Convenience method. Returns a top-level attribute declaration.

  Specified by:
    `getAttributeDecl` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `name` - The name of the declaration.
    `namespace` - The namespace of the definition, otherwise null.
  Returns:
    A top-level attribute declaration or null if such declaration does not exist.

### getElementDecl

    public weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration getElementDecl(String name,
                                                                                   String namespace)

  Deprecated.
  Convenience method. Returns a top-level element declaration.

  Specified by:
    `getElementDecl` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `name` - The name of the declaration.
    `namespace` - The namespace of the definition, otherwise null.
  Returns:
    A top-level element declaration or null if such declaration does not exist.

### getAttributeGroup

    public weblogic.apache.xerces.impl.xs.psvi.XSAttributeGroupDefinition getAttributeGroup(String name,
                                                                                            String namespace)

  Deprecated.
  Convenience method. Returns a top-level attribute group definition.

  Specified by:
    `getAttributeGroup` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `name` - The name of the definition.
    `namespace` - The namespace of the definition, otherwise null.
  Returns:
    A top-level attribute group definition or null if such definition does not exist.

### getModelGroupDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSModelGroupDefinition getModelGroupDefinition(String name,
                                                                                              String namespace)

  Deprecated.
  Convenience method. Returns a top-level model group definition.

  Specified by:
    `getModelGroupDefinition` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `name` - The name of the definition.
    `namespace` - The namespace of the definition, otherwise null.
  Returns:
    A top-level model group definition definition or null if such definition does not exist.

### getNotationDecl

    public weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration getNotationDecl(String name,
                                                                                     String namespace)

  Deprecated.
  Convenience method. Returns a top-level notation declaration.

  Specified by:
    `getNotationDecl` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`
  Parameters:
    `name` - The name of the declaration.
    `namespace` - The namespace of the definition, otherwise null.
  Returns:
    A top-level notation declaration or null if such declaration does not exist.

### getAnnotations

    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getAnnotations()

  Deprecated.
  {annotations} A set of annotations.

  Specified by:
    `getAnnotations` in interface `weblogic.apache.xerces.impl.xs.psvi.XSModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD